﻿$ErrorActionPreference = 'Stop';

$version = $env:chocolateyPackageVersion
$packageName = $env:chocolateyPackageName
$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url = 'https://github.com/twpayne/chezmoi/releases/download/v2.0.8/chezmoi_2.0.8_windows_i386.zip'
$url64 = 'https://github.com/twpayne/chezmoi/releases/download/v2.0.8/chezmoi_2.0.8_windows_amd64.zip'

$packageArgs = @{
    packageName    = $packageName
    unzipLocation  = $toolsDir
    fileType       = 'exe'
    url            = $url
    url64bit       = $url64
    checksum       = 'f8cd73ae52e90ddf929a86fb36aaac65c4444caca6618f46988fceb75fa95ab5'
    checksumType   = 'sha256'
    checksum64     = '3fb1eb6788b03fcc426c2d6459bd17c6f295fe0d4d0860681ee517d4652eb483'
    checksumType64 = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
